unit zkUnt;

interface

uses SysUtils,
  Classes, Windows, DateUtils;

 //¾²Ì¬µ÷ÓÃ¶¯Ì¬¿â
  Function SDT_OpenPort(iPort:integer):integer; stdcall; external 'dll\zk\SDTAPI.DLL' name 'SDT_OpenPort';
  function SDT_ClosePort(iPortID:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ClosePort';

  function SDT_StartFindIDCard(iPort:integer;pucIIN:Pbytearray;iIfOpen:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_StartFindIDCard';
  function SDT_SelectIDCard(iPort:integer;pucSN:Pbytearray;iIfOpen:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_SelectIDCard';
  function SDT_ReadBaseMsg(iPort:integer;pucCHMsg:Pbytearray;puiCHMsgLen:PInteger;pucPHMsg:Pbytearray;puiPHMsgLen:PInteger;iIfOpen:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ReadBaseMsg';
  function SDT_ReadBaseMsgToFile(iPortID:integer;pcCHMsgFileName:PChar;puiCHMsgFileLen:pinteger;pcPHMsgFileName:PChar;puiPHMsgFileLen:pinteger;iIfOpen:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ReadBaseMsgToFile';
  function SDT_ReadFPMsg(iPortID:integer;pucFPMsg:Pbytearray;puiFPMsgLen:PInteger;iIfOpen:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ReadFPMsg';


  function SDT_ResetSAM(iPortID:integer;iState:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ResetSAM';
  function SDT_GetSAMStatus(iPortID:integer;iState:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_GetSAMStatus';
  function SDT_GetSAMID(iPortID:integer;OutData:Pbytearray;iState:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_GetSAMID';
  function SDT_GetSAMIDToStr(iPortID:integer;OutData:PChar;iState:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_GetSAMIDToStr';
  function SDT_ReadIINSNDN(iPortID:integer;OutData:Pbytearray;iState:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ReadIINSNDN';
  function SDT_SetMaxRFByte(iPortID:integer;ByteI:byte;iState:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_SetMaxRFByte';
  function SDT_GetCOMBaud(iPortID:integer;Baud:pLongint):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_GetCOMBaud';
  function SDT_SetCOMBaud(iPortID:integer;BaudCur:Longint;BaudSet:Longint):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_SetCOMBaud';
  function SDT_ReadNewAppMsg(iPort:integer;pucCHMsg:Pbytearray;puiCHMsgLen:PInteger;iIfOpen:integer):integer;stdcall;external 'dll\zk\SDTAPI.DLL' name 'SDT_ReadNewAppMsg';
  function GetBmp(file_name:Pchar;Port:integer):integer;stdcall;external 'dll\zk\WltRS.DLL' name 'GetBmp';

implementation

end.

 